unit schInfMargenArticuloClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InfMargenArticulo = '{CAD3971F-0746-414E-9D24-39D78E9C8795}';

  { Data table names }
  nme_InfMargenArticulo = 'InfMargenArticulo';

  { InfMargenArticulo fields }
  fld_InfMargenArticuloID_EMPRESA = 'ID_EMPRESA';
  fld_InfMargenArticuloID_CLIENTE = 'ID_CLIENTE';
  fld_InfMargenArticuloID_ARTICULO = 'ID_ARTICULO';
  fld_InfMargenArticuloFAMILIA = 'FAMILIA';
  fld_InfMargenArticuloREFERENCIA = 'REFERENCIA';
  fld_InfMargenArticuloREFERENCIA_PROV = 'REFERENCIA_PROV';
  fld_InfMargenArticuloDESCRIPCION = 'DESCRIPCION';
  fld_InfMargenArticuloCOMISIONABLE = 'COMISIONABLE';
  fld_InfMargenArticuloINVENTARIABLE = 'INVENTARIABLE';
  fld_InfMargenArticuloNIF_CIF_CLIENTE = 'NIF_CIF_CLIENTE';
  fld_InfMargenArticuloNOMBRE_CLIENTE = 'NOMBRE_CLIENTE';
  fld_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE = 'NOMBRE_COMERCIAL_CLIENTE';
  fld_InfMargenArticuloNIF_CIF_AGENTE = 'NIF_CIF_AGENTE';
  fld_InfMargenArticuloNOMBRE_AGENTE = 'NOMBRE_AGENTE';
  fld_InfMargenArticuloIMP_UNIDAD_ULT_VENT = 'IMP_UNIDAD_ULT_VENT';
  fld_InfMargenArticuloIMP_NETO_ULT_VENT = 'IMP_NETO_ULT_VENT';
  fld_InfMargenArticuloIMP_PORTE_ULT_VENT = 'IMP_PORTE_ULT_VENT';
  fld_InfMargenArticuloIMP_UNIDAD_PRO_VENT = 'IMP_UNIDAD_PRO_VENT';
  fld_InfMargenArticuloIMP_NETO_PRO_VENT = 'IMP_NETO_PRO_VENT';
  fld_InfMargenArticuloIMP_PORTE_PRO_VENT = 'IMP_PORTE_PRO_VENT';
  fld_InfMargenArticuloIMP_UNIDAD_COMPRA = 'IMP_UNIDAD_COMPRA';
  fld_InfMargenArticuloIMP_NETO_COMPRA = 'IMP_NETO_COMPRA';
  fld_InfMargenArticuloIMP_PORTE_COMPRA = 'IMP_PORTE_COMPRA';
  fld_InfMargenArticuloIMP_UNIDAD_ULT_COMP = 'IMP_UNIDAD_ULT_COMP';
  fld_InfMargenArticuloIMP_NETO_ULT_COMP = 'IMP_NETO_ULT_COMP';
  fld_InfMargenArticuloIMP_PORTE_ULT_COMP = 'IMP_PORTE_ULT_COMP';
  fld_InfMargenArticuloIMP_UNIDAD_PRO_COMP = 'IMP_UNIDAD_PRO_COMP';
  fld_InfMargenArticuloIMP_NETO_PRO_COMP = 'IMP_NETO_PRO_COMP';
  fld_InfMargenArticuloIMP_PORTE_PRO_COMP = 'IMP_PORTE_PRO_COMP';
  fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA = 'IMP_MARGEN_ULT_VENT_COMPRA';
  fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA = 'POR_MARGEN_ULT_VENT_COMPRA';
  fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP = 'IMP_MARGEN_ULT_VENT_ULT_COMP';
  fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP = 'POR_MARGEN_ULT_VENT_ULT_COMP';
  fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP = 'IMP_MARGEN_ULT_VENT_PRO_COMP';
  fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP = 'POR_MARGEN_ULT_VENT_PRO_COMP';
  fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA = 'IMP_MARGEN_PRO_VENT_COMPRA';
  fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA = 'POR_MARGEN_PRO_VENT_COMPRA';
  fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP = 'IMP_MARGEN_PRO_VENT_ULT_COMP';
  fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP = 'POR_MARGEN_PRO_VENT_ULT_COMP';
  fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP = 'IMP_MARGEN_PRO_VENT_PRO_COMP';
  fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP = 'POR_MARGEN_PRO_VENT_PRO_COMP';

  { InfMargenArticulo field indexes }
  idx_InfMargenArticuloID_EMPRESA = 0;
  idx_InfMargenArticuloID_CLIENTE = 1;
  idx_InfMargenArticuloID_ARTICULO = 2;
  idx_InfMargenArticuloFAMILIA = 3;
  idx_InfMargenArticuloREFERENCIA = 4;
  idx_InfMargenArticuloREFERENCIA_PROV = 5;
  idx_InfMargenArticuloDESCRIPCION = 6;
  idx_InfMargenArticuloCOMISIONABLE = 7;
  idx_InfMargenArticuloINVENTARIABLE = 8;
  idx_InfMargenArticuloNIF_CIF_CLIENTE = 9;
  idx_InfMargenArticuloNOMBRE_CLIENTE = 10;
  idx_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE = 11;
  idx_InfMargenArticuloNIF_CIF_AGENTE = 12;
  idx_InfMargenArticuloNOMBRE_AGENTE = 13;
  idx_InfMargenArticuloIMP_UNIDAD_ULT_VENT = 14;
  idx_InfMargenArticuloIMP_NETO_ULT_VENT = 15;
  idx_InfMargenArticuloIMP_PORTE_ULT_VENT = 16;
  idx_InfMargenArticuloIMP_UNIDAD_PRO_VENT = 17;
  idx_InfMargenArticuloIMP_NETO_PRO_VENT = 18;
  idx_InfMargenArticuloIMP_PORTE_PRO_VENT = 19;
  idx_InfMargenArticuloIMP_UNIDAD_COMPRA = 20;
  idx_InfMargenArticuloIMP_NETO_COMPRA = 21;
  idx_InfMargenArticuloIMP_PORTE_COMPRA = 22;
  idx_InfMargenArticuloIMP_UNIDAD_ULT_COMP = 23;
  idx_InfMargenArticuloIMP_NETO_ULT_COMP = 24;
  idx_InfMargenArticuloIMP_PORTE_ULT_COMP = 25;
  idx_InfMargenArticuloIMP_UNIDAD_PRO_COMP = 26;
  idx_InfMargenArticuloIMP_NETO_PRO_COMP = 27;
  idx_InfMargenArticuloIMP_PORTE_PRO_COMP = 28;
  idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA = 29;
  idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA = 30;
  idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP = 31;
  idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP = 32;
  idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP = 33;
  idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP = 34;
  idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA = 35;
  idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA = 36;
  idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP = 37;
  idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP = 38;
  idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP = 39;
  idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP = 40;

type
  { IInfMargenArticulo }
  IInfMargenArticulo = interface(IDAStronglyTypedDataTable)
  ['{5CC3A6EA-5D25-4D3E-A94F-04B1CAD301C4}']
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_CLIENTEValue: Integer;
    procedure SetID_CLIENTEValue(const aValue: Integer);
    function GetID_ARTICULOValue: Integer;
    procedure SetID_ARTICULOValue(const aValue: Integer);
    function GetFAMILIAValue: String;
    procedure SetFAMILIAValue(const aValue: String);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIA_PROVValue: String;
    procedure SetREFERENCIA_PROVValue(const aValue: String);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetCOMISIONABLEValue: Integer;
    procedure SetCOMISIONABLEValue(const aValue: Integer);
    function GetINVENTARIABLEValue: Integer;
    procedure SetINVENTARIABLEValue(const aValue: Integer);
    function GetNIF_CIF_CLIENTEValue: String;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String);
    function GetNOMBRE_CLIENTEValue: String;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String);
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
    function GetNIF_CIF_AGENTEValue: String;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String);
    function GetNOMBRE_AGENTEValue: String;
    procedure SetNOMBRE_AGENTEValue(const aValue: String);
    function GetIMP_UNIDAD_ULT_VENTValue: Float;
    procedure SetIMP_UNIDAD_ULT_VENTValue(const aValue: Float);
    function GetIMP_NETO_ULT_VENTValue: Float;
    procedure SetIMP_NETO_ULT_VENTValue(const aValue: Float);
    function GetIMP_PORTE_ULT_VENTValue: Float;
    procedure SetIMP_PORTE_ULT_VENTValue(const aValue: Float);
    function GetIMP_UNIDAD_PRO_VENTValue: Float;
    procedure SetIMP_UNIDAD_PRO_VENTValue(const aValue: Float);
    function GetIMP_NETO_PRO_VENTValue: Float;
    procedure SetIMP_NETO_PRO_VENTValue(const aValue: Float);
    function GetIMP_PORTE_PRO_VENTValue: Float;
    procedure SetIMP_PORTE_PRO_VENTValue(const aValue: Float);
    function GetIMP_UNIDAD_COMPRAValue: Float;
    procedure SetIMP_UNIDAD_COMPRAValue(const aValue: Float);
    function GetIMP_NETO_COMPRAValue: Float;
    procedure SetIMP_NETO_COMPRAValue(const aValue: Float);
    function GetIMP_PORTE_COMPRAValue: Float;
    procedure SetIMP_PORTE_COMPRAValue(const aValue: Float);
    function GetIMP_UNIDAD_ULT_COMPValue: Float;
    procedure SetIMP_UNIDAD_ULT_COMPValue(const aValue: Float);
    function GetIMP_NETO_ULT_COMPValue: Float;
    procedure SetIMP_NETO_ULT_COMPValue(const aValue: Float);
    function GetIMP_PORTE_ULT_COMPValue: Float;
    procedure SetIMP_PORTE_ULT_COMPValue(const aValue: Float);
    function GetIMP_UNIDAD_PRO_COMPValue: Float;
    procedure SetIMP_UNIDAD_PRO_COMPValue(const aValue: Float);
    function GetIMP_NETO_PRO_COMPValue: Float;
    procedure SetIMP_NETO_PRO_COMPValue(const aValue: Float);
    function GetIMP_PORTE_PRO_COMPValue: Float;
    procedure SetIMP_PORTE_PRO_COMPValue(const aValue: Float);
    function GetIMP_MARGEN_ULT_VENT_COMPRAValue: Float;
    procedure SetIMP_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
    function GetPOR_MARGEN_ULT_VENT_COMPRAValue: Float;
    procedure SetPOR_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
    function GetIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float;
    procedure SetIMP_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
    function GetPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float;
    procedure SetPOR_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
    function GetIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float;
    procedure SetIMP_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
    function GetPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float;
    procedure SetPOR_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
    function GetIMP_MARGEN_PRO_VENT_COMPRAValue: Float;
    procedure SetIMP_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
    function GetPOR_MARGEN_PRO_VENT_COMPRAValue: Float;
    procedure SetPOR_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
    function GetIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float;
    procedure SetIMP_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
    function GetPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float;
    procedure SetPOR_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
    function GetIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float;
    procedure SetIMP_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);
    function GetPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float;
    procedure SetPOR_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);


    { Properties }
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property COMISIONABLE: Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property INVENTARIABLE: Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property NIF_CIF_CLIENTE: String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE: String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE: String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property NIF_CIF_AGENTE: String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE: String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property IMP_UNIDAD_ULT_VENT: Float read GetIMP_UNIDAD_ULT_VENTValue write SetIMP_UNIDAD_ULT_VENTValue;
    property IMP_NETO_ULT_VENT: Float read GetIMP_NETO_ULT_VENTValue write SetIMP_NETO_ULT_VENTValue;
    property IMP_PORTE_ULT_VENT: Float read GetIMP_PORTE_ULT_VENTValue write SetIMP_PORTE_ULT_VENTValue;
    property IMP_UNIDAD_PRO_VENT: Float read GetIMP_UNIDAD_PRO_VENTValue write SetIMP_UNIDAD_PRO_VENTValue;
    property IMP_NETO_PRO_VENT: Float read GetIMP_NETO_PRO_VENTValue write SetIMP_NETO_PRO_VENTValue;
    property IMP_PORTE_PRO_VENT: Float read GetIMP_PORTE_PRO_VENTValue write SetIMP_PORTE_PRO_VENTValue;
    property IMP_UNIDAD_COMPRA: Float read GetIMP_UNIDAD_COMPRAValue write SetIMP_UNIDAD_COMPRAValue;
    property IMP_NETO_COMPRA: Float read GetIMP_NETO_COMPRAValue write SetIMP_NETO_COMPRAValue;
    property IMP_PORTE_COMPRA: Float read GetIMP_PORTE_COMPRAValue write SetIMP_PORTE_COMPRAValue;
    property IMP_UNIDAD_ULT_COMP: Float read GetIMP_UNIDAD_ULT_COMPValue write SetIMP_UNIDAD_ULT_COMPValue;
    property IMP_NETO_ULT_COMP: Float read GetIMP_NETO_ULT_COMPValue write SetIMP_NETO_ULT_COMPValue;
    property IMP_PORTE_ULT_COMP: Float read GetIMP_PORTE_ULT_COMPValue write SetIMP_PORTE_ULT_COMPValue;
    property IMP_UNIDAD_PRO_COMP: Float read GetIMP_UNIDAD_PRO_COMPValue write SetIMP_UNIDAD_PRO_COMPValue;
    property IMP_NETO_PRO_COMP: Float read GetIMP_NETO_PRO_COMPValue write SetIMP_NETO_PRO_COMPValue;
    property IMP_PORTE_PRO_COMP: Float read GetIMP_PORTE_PRO_COMPValue write SetIMP_PORTE_PRO_COMPValue;
    property IMP_MARGEN_ULT_VENT_COMPRA: Float read GetIMP_MARGEN_ULT_VENT_COMPRAValue write SetIMP_MARGEN_ULT_VENT_COMPRAValue;
    property POR_MARGEN_ULT_VENT_COMPRA: Float read GetPOR_MARGEN_ULT_VENT_COMPRAValue write SetPOR_MARGEN_ULT_VENT_COMPRAValue;
    property IMP_MARGEN_ULT_VENT_ULT_COMP: Float read GetIMP_MARGEN_ULT_VENT_ULT_COMPValue write SetIMP_MARGEN_ULT_VENT_ULT_COMPValue;
    property POR_MARGEN_ULT_VENT_ULT_COMP: Float read GetPOR_MARGEN_ULT_VENT_ULT_COMPValue write SetPOR_MARGEN_ULT_VENT_ULT_COMPValue;
    property IMP_MARGEN_ULT_VENT_PRO_COMP: Float read GetIMP_MARGEN_ULT_VENT_PRO_COMPValue write SetIMP_MARGEN_ULT_VENT_PRO_COMPValue;
    property POR_MARGEN_ULT_VENT_PRO_COMP: Float read GetPOR_MARGEN_ULT_VENT_PRO_COMPValue write SetPOR_MARGEN_ULT_VENT_PRO_COMPValue;
    property IMP_MARGEN_PRO_VENT_COMPRA: Float read GetIMP_MARGEN_PRO_VENT_COMPRAValue write SetIMP_MARGEN_PRO_VENT_COMPRAValue;
    property POR_MARGEN_PRO_VENT_COMPRA: Float read GetPOR_MARGEN_PRO_VENT_COMPRAValue write SetPOR_MARGEN_PRO_VENT_COMPRAValue;
    property IMP_MARGEN_PRO_VENT_ULT_COMP: Float read GetIMP_MARGEN_PRO_VENT_ULT_COMPValue write SetIMP_MARGEN_PRO_VENT_ULT_COMPValue;
    property POR_MARGEN_PRO_VENT_ULT_COMP: Float read GetPOR_MARGEN_PRO_VENT_ULT_COMPValue write SetPOR_MARGEN_PRO_VENT_ULT_COMPValue;
    property IMP_MARGEN_PRO_VENT_PRO_COMP: Float read GetIMP_MARGEN_PRO_VENT_PRO_COMPValue write SetIMP_MARGEN_PRO_VENT_PRO_COMPValue;
    property POR_MARGEN_PRO_VENT_PRO_COMP: Float read GetPOR_MARGEN_PRO_VENT_PRO_COMPValue write SetPOR_MARGEN_PRO_VENT_PRO_COMPValue;
  end;

  { TInfMargenArticuloDataTableRules }
  TInfMargenArticuloDataTableRules = class(TDADataTableRules, IInfMargenArticulo)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    function GetFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetCOMISIONABLEValue: Integer; virtual;
    procedure SetCOMISIONABLEValue(const aValue: Integer); virtual;
    function GetINVENTARIABLEValue: Integer; virtual;
    procedure SetINVENTARIABLEValue(const aValue: Integer); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_AGENTEValue: String; virtual;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String); virtual;
    function GetNOMBRE_AGENTEValue: String; virtual;
    procedure SetNOMBRE_AGENTEValue(const aValue: String); virtual;
    function GetIMP_UNIDAD_ULT_VENTValue: Float; virtual;
    procedure SetIMP_UNIDAD_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_NETO_ULT_VENTValue: Float; virtual;
    procedure SetIMP_NETO_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_PORTE_ULT_VENTValue: Float; virtual;
    procedure SetIMP_PORTE_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_PRO_VENTValue: Float; virtual;
    procedure SetIMP_UNIDAD_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_NETO_PRO_VENTValue: Float; virtual;
    procedure SetIMP_NETO_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_PORTE_PRO_VENTValue: Float; virtual;
    procedure SetIMP_PORTE_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_COMPRAValue: Float; virtual;
    procedure SetIMP_UNIDAD_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_NETO_COMPRAValue: Float; virtual;
    procedure SetIMP_NETO_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_PORTE_COMPRAValue: Float; virtual;
    procedure SetIMP_PORTE_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_ULT_COMPValue: Float; virtual;
    procedure SetIMP_UNIDAD_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_NETO_ULT_COMPValue: Float; virtual;
    procedure SetIMP_NETO_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_PORTE_ULT_COMPValue: Float; virtual;
    procedure SetIMP_PORTE_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_PRO_COMPValue: Float; virtual;
    procedure SetIMP_UNIDAD_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_NETO_PRO_COMPValue: Float; virtual;
    procedure SetIMP_NETO_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_PORTE_PRO_COMPValue: Float; virtual;
    procedure SetIMP_PORTE_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float); virtual;

    { Properties }
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_CLIENTE: Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_ARTICULO: Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIA_PROV: String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property COMISIONABLE: Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property INVENTARIABLE: Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property NIF_CIF_CLIENTE: String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE: String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE: String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property NIF_CIF_AGENTE: String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE: String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property IMP_UNIDAD_ULT_VENT: Float read GetIMP_UNIDAD_ULT_VENTValue write SetIMP_UNIDAD_ULT_VENTValue;
    property IMP_NETO_ULT_VENT: Float read GetIMP_NETO_ULT_VENTValue write SetIMP_NETO_ULT_VENTValue;
    property IMP_PORTE_ULT_VENT: Float read GetIMP_PORTE_ULT_VENTValue write SetIMP_PORTE_ULT_VENTValue;
    property IMP_UNIDAD_PRO_VENT: Float read GetIMP_UNIDAD_PRO_VENTValue write SetIMP_UNIDAD_PRO_VENTValue;
    property IMP_NETO_PRO_VENT: Float read GetIMP_NETO_PRO_VENTValue write SetIMP_NETO_PRO_VENTValue;
    property IMP_PORTE_PRO_VENT: Float read GetIMP_PORTE_PRO_VENTValue write SetIMP_PORTE_PRO_VENTValue;
    property IMP_UNIDAD_COMPRA: Float read GetIMP_UNIDAD_COMPRAValue write SetIMP_UNIDAD_COMPRAValue;
    property IMP_NETO_COMPRA: Float read GetIMP_NETO_COMPRAValue write SetIMP_NETO_COMPRAValue;
    property IMP_PORTE_COMPRA: Float read GetIMP_PORTE_COMPRAValue write SetIMP_PORTE_COMPRAValue;
    property IMP_UNIDAD_ULT_COMP: Float read GetIMP_UNIDAD_ULT_COMPValue write SetIMP_UNIDAD_ULT_COMPValue;
    property IMP_NETO_ULT_COMP: Float read GetIMP_NETO_ULT_COMPValue write SetIMP_NETO_ULT_COMPValue;
    property IMP_PORTE_ULT_COMP: Float read GetIMP_PORTE_ULT_COMPValue write SetIMP_PORTE_ULT_COMPValue;
    property IMP_UNIDAD_PRO_COMP: Float read GetIMP_UNIDAD_PRO_COMPValue write SetIMP_UNIDAD_PRO_COMPValue;
    property IMP_NETO_PRO_COMP: Float read GetIMP_NETO_PRO_COMPValue write SetIMP_NETO_PRO_COMPValue;
    property IMP_PORTE_PRO_COMP: Float read GetIMP_PORTE_PRO_COMPValue write SetIMP_PORTE_PRO_COMPValue;
    property IMP_MARGEN_ULT_VENT_COMPRA: Float read GetIMP_MARGEN_ULT_VENT_COMPRAValue write SetIMP_MARGEN_ULT_VENT_COMPRAValue;
    property POR_MARGEN_ULT_VENT_COMPRA: Float read GetPOR_MARGEN_ULT_VENT_COMPRAValue write SetPOR_MARGEN_ULT_VENT_COMPRAValue;
    property IMP_MARGEN_ULT_VENT_ULT_COMP: Float read GetIMP_MARGEN_ULT_VENT_ULT_COMPValue write SetIMP_MARGEN_ULT_VENT_ULT_COMPValue;
    property POR_MARGEN_ULT_VENT_ULT_COMP: Float read GetPOR_MARGEN_ULT_VENT_ULT_COMPValue write SetPOR_MARGEN_ULT_VENT_ULT_COMPValue;
    property IMP_MARGEN_ULT_VENT_PRO_COMP: Float read GetIMP_MARGEN_ULT_VENT_PRO_COMPValue write SetIMP_MARGEN_ULT_VENT_PRO_COMPValue;
    property POR_MARGEN_ULT_VENT_PRO_COMP: Float read GetPOR_MARGEN_ULT_VENT_PRO_COMPValue write SetPOR_MARGEN_ULT_VENT_PRO_COMPValue;
    property IMP_MARGEN_PRO_VENT_COMPRA: Float read GetIMP_MARGEN_PRO_VENT_COMPRAValue write SetIMP_MARGEN_PRO_VENT_COMPRAValue;
    property POR_MARGEN_PRO_VENT_COMPRA: Float read GetPOR_MARGEN_PRO_VENT_COMPRAValue write SetPOR_MARGEN_PRO_VENT_COMPRAValue;
    property IMP_MARGEN_PRO_VENT_ULT_COMP: Float read GetIMP_MARGEN_PRO_VENT_ULT_COMPValue write SetIMP_MARGEN_PRO_VENT_ULT_COMPValue;
    property POR_MARGEN_PRO_VENT_ULT_COMP: Float read GetPOR_MARGEN_PRO_VENT_ULT_COMPValue write SetPOR_MARGEN_PRO_VENT_ULT_COMPValue;
    property IMP_MARGEN_PRO_VENT_PRO_COMP: Float read GetIMP_MARGEN_PRO_VENT_PRO_COMPValue write SetIMP_MARGEN_PRO_VENT_PRO_COMPValue;
    property POR_MARGEN_PRO_VENT_PRO_COMP: Float read GetPOR_MARGEN_PRO_VENT_PRO_COMPValue write SetPOR_MARGEN_PRO_VENT_PRO_COMPValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TInfMargenArticuloDataTableRules }
constructor TInfMargenArticuloDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TInfMargenArticuloDataTableRules.Destroy;
begin
  inherited;
end;

function TInfMargenArticuloDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_InfMargenArticuloID_EMPRESA].AsInteger;
end;

procedure TInfMargenArticuloDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfMargenArticuloID_EMPRESA].AsInteger := aValue;
end;

function TInfMargenArticuloDataTableRules.GetID_CLIENTEValue: Integer;
begin
  result := DataTable.Fields[idx_InfMargenArticuloID_CLIENTE].AsInteger;
end;

procedure TInfMargenArticuloDataTableRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfMargenArticuloID_CLIENTE].AsInteger := aValue;
end;

function TInfMargenArticuloDataTableRules.GetID_ARTICULOValue: Integer;
begin
  result := DataTable.Fields[idx_InfMargenArticuloID_ARTICULO].AsInteger;
end;

procedure TInfMargenArticuloDataTableRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfMargenArticuloID_ARTICULO].AsInteger := aValue;
end;

function TInfMargenArticuloDataTableRules.GetFAMILIAValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloFAMILIA].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetFAMILIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloFAMILIA].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloREFERENCIA].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloREFERENCIA].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetREFERENCIA_PROVValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloREFERENCIA_PROV].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloREFERENCIA_PROV].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloDESCRIPCION].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloDESCRIPCION].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetCOMISIONABLEValue: Integer;
begin
  result := DataTable.Fields[idx_InfMargenArticuloCOMISIONABLE].AsInteger;
end;

procedure TInfMargenArticuloDataTableRules.SetCOMISIONABLEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfMargenArticuloCOMISIONABLE].AsInteger := aValue;
end;

function TInfMargenArticuloDataTableRules.GetINVENTARIABLEValue: Integer;
begin
  result := DataTable.Fields[idx_InfMargenArticuloINVENTARIABLE].AsInteger;
end;

procedure TInfMargenArticuloDataTableRules.SetINVENTARIABLEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_InfMargenArticuloINVENTARIABLE].AsInteger := aValue;
end;

function TInfMargenArticuloDataTableRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloNIF_CIF_CLIENTE].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloNIF_CIF_CLIENTE].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloNOMBRE_CLIENTE].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloNOMBRE_CLIENTE].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetNIF_CIF_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloNIF_CIF_AGENTE].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetNIF_CIF_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloNIF_CIF_AGENTE].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetNOMBRE_AGENTEValue: String;
begin
  result := DataTable.Fields[idx_InfMargenArticuloNOMBRE_AGENTE].AsString;
end;

procedure TInfMargenArticuloDataTableRules.SetNOMBRE_AGENTEValue(const aValue: String);
begin
  DataTable.Fields[idx_InfMargenArticuloNOMBRE_AGENTE].AsString := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_UNIDAD_ULT_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_ULT_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_UNIDAD_ULT_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_ULT_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_NETO_ULT_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_NETO_ULT_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_NETO_ULT_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_NETO_ULT_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_PORTE_ULT_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_ULT_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_PORTE_ULT_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_ULT_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_UNIDAD_PRO_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_PRO_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_UNIDAD_PRO_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_PRO_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_NETO_PRO_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_NETO_PRO_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_NETO_PRO_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_NETO_PRO_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_PORTE_PRO_VENTValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_PRO_VENT].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_PORTE_PRO_VENTValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_PRO_VENT].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_UNIDAD_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_UNIDAD_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_NETO_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_NETO_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_NETO_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_NETO_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_PORTE_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_PORTE_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_UNIDAD_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_UNIDAD_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_NETO_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_NETO_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_NETO_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_NETO_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_PORTE_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_PORTE_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_UNIDAD_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_UNIDAD_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_UNIDAD_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_NETO_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_NETO_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_NETO_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_NETO_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_PORTE_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_PORTE_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_PORTE_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetIMP_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP].AsFloat := aValue;
end;

function TInfMargenArticuloDataTableRules.GetPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP].AsFloat;
end;

procedure TInfMargenArticuloDataTableRules.SetPOR_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);
begin
  DataTable.Fields[idx_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP].AsFloat := aValue;
end;


initialization
  RegisterDataTableRules(RID_InfMargenArticulo, TInfMargenArticuloDataTableRules);

end.
